Subject: bug#54702: 29.0.50; ruby-mode indentation: endless methods

From: Aaron Jensen <[email-masked]>
Date: Fri, 16 Dec 2022 11:24:23 -0500

On Fri, Dec 16, 2022 at 11:15 AM Dmitry Gutov <[email-masked]> wrote:
>
> On 16/12/2022 15:12, Aaron Jensen wrote:
> > On Fri, Dec 16, 2022 at 7:31 AM Dmitry Gutov <[email-masked]> wrote:
> >>
> >> Right, thanks. See the attached updated patch.
> >
> > That works. I found another inconsistency related to the other issue I
> > just opened:
> >
> > def foo(
> >        baz,
> >        bar
> > ) = what
> >
> > def foo(
> >        baz,
> >        bar
> >      )
> >    hello
> > end
> >
> > I don't know who is savage enough to do a multi-line endless method
> > like that, but when it's done the closing paren should probably be
> > consistent w/ the regular method closing paren.
>
> Thank you, savage indeed.
>
> Okay, here's an alternative version -- this was a pain to implement.
>
> Would be much easier if we just decided to change the args indentation
> without support for the current one.

It works for me w/ that example.

You won't find me resisting getting rid of the old way. Lining up
against the method name is a fairly clear UX issue, in my opinion. I
don't know that it's something I see outside of Emacs, and my guess is
that it was influenced by Lisp rather than being influenced by Ruby
and its community.

Aaron